我一直在网上搜索找到Alpine linux的numpy包,没找到,所以Ii试图通过克隆git从源代码安装它,遇到了很多问题! 所以我想到了社区关于Alpine linux发行版中是否有任何软件包以便安装numpy作为其中的一部分?!

===============>>#1 票数:3 已采纳

因此,在第一篇文章的评论中提到,步骤如下:

apk add --update py-pip
pip install numpy

===============>>#2 票数:0

你可以通过在/etc/apk/repositories添加以下行来找到py-numpy

@testing http://dl-4.alpinelinux.org/alpine/edge/testing

然后调用apk添加指定测试仓库

apk add --update py-numpy@testing

===============>>#3 票数:0

如何在Alpine linux中寻找安装numpy的软件包

如果你找不到带有命令apk search numpy的包,那么试试这个:

登录https://pkgs.alpinelinux.org/contents

搜索关键词: numpy%

说明:

numpy% - %用作通配符

因此,您将获得几个软件包, py-numpypy-numpy-dev应该是您正在寻找的软件包。

它正在测试Repository,因此您需要使用py-numpy @ testing进行安装

/usr/lib/python2.7/site-packages/numpy/core/include/numpy//numpyconfig.h    py-numpy-dev    testing x86_64
/usr/lib/python2.7/site-packages/numpy/distutils//numpy_distribution.py py-numpy    testing x86_64
/usr/lib/python2.7/site-packages/numpy/distutils//numpy_distribution.pyc    py-numpy    testing x86_64
/usr/lib/python2.7/site-packages//numpy-1.9.2-py2.7.egg-info    py-numpy    testing x86_64
/usr/lib/python2.7/site-packages/scipy/weave//numpy_scalar_spec.py  py-scipy    testing x86_64
/usr/lib/python2.7/site-packages/scipy/weave//numpy_scalar_spec.pyc py-scipy    testing x86_64

===============>>#4 票数:0

Alpine 3.5和更新版本中包含Alpine pacakge py-numpy (例如,请参阅x86上的Alpine 3.6py-numpy包 )。 像任何其他包一样安装它:

apk add py-numpy

  ask by DeFoG translate from so

未解决问题?本站智能推荐:

3回复

使用Alpine Linux中随APK安装的Python软件包

我想使用apk在Alpine Linux中安装一些Python软件包。 我在下面以numpy为例。 Dockerfile 我建立我的Docker映像 运行它并尝试在python中导入包 但是,找不到。 在apk add --update py3-numpy pi
1回复

高山Linux:已安装软件包,但未找到模块

我正在为数据科学项目构建docker映像。 我通过RUN apk add <package>安装核心依赖RUN apk add <package> 。 Dockerfile-dev的 一切都建立在pandas ,这时出现了这个错误: 但是预先安
5回复

在Docker Alpine上安装numpy

我正在尝试在基于Alpine 3.1的docker容器中安装numpy。 我正在使用以下Dockerfile: 当我收到以下错误时,这运行正常,直到pip install numpy : easy_install-2.7 numpy给出了同样的错误。 我缺少任何配置/安装
1回复

在高山图像中安装numpy时出错

错误: 错误:命令“/ usr / local / bin / python -u -c'import setuptools,tokenize; file ='”'''/ tmp / pip-install-2u_c2pqi / numpy / setup.py'“'”'; f = g
8回复

为什么在Alpine Linux上安装Pandas会花费很多时间

我注意到,使用基本操作系统Alpine与CentOS或Debian在Docker容器中安装Pandas和Numpy(它的依赖项)需要花费更长的时间。 我在下面创建了一个小测试来演示时差。 除了Alpine用来更新和下载构建依赖项以安装Pandas和Numpy的几秒钟之外,为什么setup.py花费的
3回复

在docker Alpine中安装pandas

我有一个很艰难的时期试图安装一个稳定的数据包的科学配置docker 。 使用这种主流的相关工具应该会更容易。 以下是曾经工作的Dockerfile ,有点破解,从包核心中删除pandas并单独安装,指定pandas<0.21.0 ,因为据称,更高版本与numpy冲突。 上
1回复

在Docker Alpine上安装seaborn

我试图安装seaborn这个Dockerfile: 我得到的错误是相关numpy和scipy (所要求seaborn )。 它始于: /tmp/easy_install-nvj61E/numpy-1.11.1/setup.py:327:UserWarning:无法识别的set
1回复

依赖冲突conda创建/安装numpy

我正在尝试使用以下特定库py36h1d66e8a_0构建一个conda环境: 结果: 即使我可以独立安装软件包的所有依赖项,也不允许我安装它。 我如何找到真正的依赖冲突? 同样对于上下文,这是在带有conda 4.6.2的docker alpine容器上运行的,并且它先前正在
2回复

高山Linux lighttpd安装缺少软件包

我正在http://wiki.alpinelinux.org/wiki/Setting_Up_Lighttpd_With_FastCGI此处阅读文档,以了解在Alpine linux上安装lighttpd的方法,但是在复制第一个命令时遇到了问题: 我收到以下错误: 有任何想法吗?
1回复

如何在apk添加失败时在gliderlabs / alpine Docker镜像中安装Alpine Linux软件包?

我想在Docker镜像中安装像python这样的Alpine软件包,但是当我运行docker build - < Dockerfile (或使用IntelliJ构建)时,我得到了 我使用以下Dockerfile,我从github.com/gliderlabs/docker-alpi